## clementine 1.3.1+git276-g3485bbe43+dfsg

=== debian/changelog ===
clementine (1.3.1+git276-g3485bbe43+dfsg-1.1build1) bionic; urgency=medium

  * No-change rebuild against libcdio17

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 01:19:12 +0000

clementine (1.3.1+git276-g3485bbe43+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 7 (Ritesh Raj Sarraf). Closes: #853348.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Oct 2017 18:17:56 +0200

clementine (1.3.1+git276-g3485bbe43+dfsg-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #851005)
  * Update debian/copyright file.
  * Update package description in debian/control file.
  * Update the man page.
  * Refresh patches.

 -- Thomas Pierson <contact@thomaspierson.fr>  Sun, 15 Jan 2017 11:14:45 +0100
