## clementine 1.3.1+git542-gf00d9727c+dfsg

=== debian/changelog ===
clementine (1.3.1+git542-gf00d9727c+dfsg-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Jun 2018 15:52:29 -0700

clementine (1.3.1+git542-gf00d9727c+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
  * List only current buildable architectures in debian/control file.
  * Update debian/copyright file.

 -- Thomas Pierson <contact@thomaspierson.fr>  Thu, 17 May 2018 20:31:52 +0200

clementine (1.3.1+git426-gb8381321c+dfsg-1) experimental; urgency=medium

  * New upstream snapshot of Qt5 branch.
  * Remove obsolete Qt4 build-depends and add new required Qt5 build-depends.
  * Refresh patches always_use_system_libmygpo-qt, freebsd_isnt_kfreebsd and
    hide_boost_includes_from_q_moc.
  * Remove libqxt related build options in debian/rules because we don't use
    the system libqxt any more and update debian/README.Debian accordingly.
  * Update debian/copyright file.
  * Bump Standards-Version to 4.1.4.
  * Move package repository to salsa.debian.org.
  * Set libmygpo-qt build-dependency to version 1.1.0-1 or above in
    debian/control.
  * Remove obsolete libqjson-dev build-dependency in debian/control.
  * Refresh and adapt always_use_system_libmygpo-qt.patch.

 -- Thomas Pierson <contact@thomaspierson.fr>  Wed, 09 May 2018 17:07:01 +0200
