=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: clementine
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Thomas Pierson <contact@thomaspierson.fr>
 Build-Depends: cmake (>= 2.6),
                debhelper (>= 9),
@@ -18,25 +18,26 @@
                libgstreamer-plugins-base1.0-dev,
                liblastfm-dev (>= 1.0.3),
                libmtp-dev,
-               libmygpo-qt-dev (>= 1.0.9~),
+               libmygpo-qt-dev (>= 1.1.0-1~),
                libprojectm-dev (>= 2.0.1+dfsg-6),
                libprotobuf-dev,
                libpulse-dev,
-               libqjson-dev,
-               libqt4-dev,
-               libqt4-opengl-dev,
-               libqxt-dev,
+	       libqt5opengl5-dev,
+	       libqt5webkit5-dev,
+	       libqt5x11extras5-dev,
                libsparsehash-dev,
                libsqlite3-dev,
                libtag1-dev (>= 1.8),
                protobuf-compiler,
-               qt4-dev-tools,
-Standards-Version: 3.9.8
+               qtbase5-private-dev,
+               qttools5-dev,
+Standards-Version: 4.1.4
 Homepage: http://www.clementine-player.org/
-Vcs-Git: git://atelier.gresille.org/pkg-clementine
+Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-clementine.git
+Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-clementine
 
 Package: clementine
-Architecture: any
+Architecture: amd64 arm64 i386 mips mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32
 Depends: ${shlibs:Depends}, ${misc:Depends},
          gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good,
