=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,12 @@
 export DEB_CXXFLAGS_MAINT_APPEND = -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT
 
 %:
-	dh $@ --buildsystem=cmake
+	dh $@ --buildsystem=cmake --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	-DBUNDLE_PROJECTM_PRESETS=OFF \
 	-DUSE_SYSTEM_PROJECTM=ON \
-	-DUSE_SYSTEM_QXT=ON \
-	-DQXTCORE_INCLUDE_DIRS=/usr/include/qxt/QxtCore/ \
-	-DQXTGUI_INCLUDE_DIRS=/usr/include/qxt/QxtGui/ \
 	-DENABLE_VK=OFF
 
 override_dh_auto_build:
