## clementine 1.3.1+git565-gd20c2244a+dfsg

=== debian/changelog ===
clementine (1.3.1+git565-gd20c2244a+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove obsolete depend on libqt4-sql-sqlite in debian/control file.
    (Closes: #901146)
  * Replace build-depend on liblastfm-dev (Qt4 build) by liblastfm5-dev (Qt5
    build) to reenable LastFm support. (Closes: #902988)
  * Update debian/copyright file.
  * Add a patch to fix the taglib version checking in CMakeLists.txt.

 -- Thomas Pierson <contact@thomaspierson.fr>  Wed, 15 Aug 2018 13:54:13 +0200
