=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: clementine
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Thomas Pierson <contact@thomaspierson.fr>
+Maintainer: Thomas Pierson <contact@thomaspierson.fr>
 Build-Depends: cmake (>= 2.6),
                debhelper (>= 9),
                docbook-to-man,
@@ -16,7 +15,7 @@
                libgpod-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               liblastfm-dev (>= 1.0.3),
+               liblastfm5-dev,
                libmtp-dev,
                libmygpo-qt-dev (>= 1.1.0-1~),
                libprojectm-dev (>= 2.0.1+dfsg-6),
@@ -42,7 +41,6 @@
          gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good,
          gstreamer1.0-plugins-ugly,
-         libqt4-sql-sqlite,
          projectm-data (>= 2.0.1+dfsg-6)
 Recommends: gstreamer1.0-alsa | gstreamer1.0-pulseaudio
 Suggests: gstreamer1.0-plugins-bad
