=== src/CMakeLists.txt ===
--- 
+++ 
@@ -148,7 +148,6 @@
   globalsearch/simplesearchprovider.cpp
   globalsearch/somafmsearchprovider.cpp
   globalsearch/intergalacticfmsearchprovider.cpp
-  globalsearch/soundcloudsearchprovider.cpp
   globalsearch/spotifysearchprovider.cpp
   globalsearch/suggestionwidget.cpp
   globalsearch/urlsearchprovider.cpp
@@ -186,8 +185,6 @@
   internet/somafm/somafmurlhandler.cpp
   internet/intergalacticfm/intergalacticfmservice.cpp
   internet/intergalacticfm/intergalacticfmurlhandler.cpp
-  internet/soundcloud/soundcloudservice.cpp
-  internet/soundcloud/soundcloudsettingspage.cpp
   internet/spotify/spotifyserver.cpp
   internet/spotify/spotifyservice.cpp
   internet/spotify/spotifysettingspage.cpp
@@ -366,3 +363,8 @@
   widgets/elidedlabel.cpp
   widgets/equalizerslider.cpp
   widgets/errordialog.cpp
+  widgets/fancytabwidget.cpp
+  widgets/favoritewidget.cpp
+  widgets/fileview.cpp
+  widgets/fileviewlist.cpp
+  widgets/forcescrollperpixel.cpp
